Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cura can't find PyQt5, PyQt5-5.9.2 installed[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
clytle374
Apprentice
Apprentice


Joined: 01 Aug 2006
Posts: 193

PostPosted: Tue Jan 02, 2018 6:25 pm    Post subject: Cura can't find PyQt5, PyQt5-5.9.2 installed[SOLVED] Reply with quote

Not sure if it matters but I have upgraded to QT 5.9.9999 from layman. And have dev-python/PyQt5-5.9.2 installed. When running cmake on Cura I get the following error.

Code:
cory@cory-laptop ~/cura-build/build $ cmake .
CMake Error at CMakeLists.txt:23 (get_filename_component):
  get_filename_component unknown component CACHE


Traceback (most recent call last):
  File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'PyQt5'
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find PyQt: Found unsuitable version "", but required is at least
  "5.6" (found )
Call Stack (most recent call first):
  /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:375 (_FPHSA_FAILURE_MESSAGE)
  cmake/FindPyQt.cmake:8 (find_package_handle_standard_args)
  projects/Uranium.cmake:7 (find_package)
  CMakeLists.txt:61 (include)


-- Configuring incomplete, errors occurred!
See also "/home/cory/cura-build/build/CMakeFiles/CMakeOutput.log".
See also "/home/cory/cura-build/build/CMakeFiles/CMakeError.log".



Being the PyQt5 is installed, seems like some configuration is incorrect. Searching I found to run this in python

Code:
import PyQt5
PyQt5.QtCore.PYQT_VERSION_STR


It says it doesn't exist, same for PyQt4
Code:

Python 3.6.3 (default, Dec  9 2017, 00:13:01)
[GCC 6.4.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import PyQt5
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ModuleNotFoundError: No module named 'PyQt5'
>>> import PyQt4
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ModuleNotFoundError: No module named 'PyQt4'
>>>




But if I look at the error log I find something different. Can't seem to find anything that applies tot his either.

Code:
 cat CMakeFiles/CMakeError.log
Determining if the pthread_create exist failed with the following output:
Change Dir: /home/cory/cura-build/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/gmake" "cmTC_4abaf/fast"
/usr/bin/gmake -f CMakeFiles/cmTC_4abaf.dir/build.make CMakeFiles/cmTC_4abaf.dir/build
gmake[1]: Entering directory '/home/cory/cura-build/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_4abaf.dir/CheckSymbolExists.c.o
/usr/bin/cc    -o CMakeFiles/cmTC_4abaf.dir/CheckSymbolExists.c.o   -c /home/cory/cura-build/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c
Linking C executable cmTC_4abaf
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_4abaf.dir/link.txt --verbose=1
/usr/bin/cc      -rdynamic CMakeFiles/cmTC_4abaf.dir/CheckSymbolExists.c.o  -o cmTC_4abaf
CMakeFiles/cmTC_4abaf.dir/CheckSymbolExists.c.o: In function `main':
CheckSymbolExists.c:(.text+0x16): undefined reference to `pthread_create'
collect2: error: ld returned 1 exit status
gmake[1]: *** [CMakeFiles/cmTC_4abaf.dir/build.make:98: cmTC_4abaf] Error 1
gmake[1]: Leaving directory '/home/cory/cura-build/build/CMakeFiles/CMakeTmp'
gmake: *** [Makefile:126: cmTC_4abaf/fast] Error 2

File /home/cory/cura-build/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/cory/cura-build/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/gmake" "cmTC_dd2de/fast"
/usr/bin/gmake -f CMakeFiles/cmTC_dd2de.dir/build.make CMakeFiles/cmTC_dd2de.dir/build
gmake[1]: Entering directory '/home/cory/cura-build/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_dd2de.dir/CheckFunctionExists.c.o
/usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_dd2de.dir/CheckFunctionExists.c.o   -c /usr/share/cmake/Modules/CheckFunctionExists.c
Linking C executable cmTC_dd2de
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_dd2de.dir/link.txt --verbose=1
/usr/bin/cc  -DCHECK_FUNCTION_EXISTS=pthread_create    -rdynamic CMakeFiles/cmTC_dd2de.dir/CheckFunctionExists.c.o  -o cmTC_dd2de -lpthreads
/usr/lib/gcc/x86_64-pc-linux-gnu/5.4.0/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
gmake[1]: *** [CMakeFiles/cmTC_dd2de.dir/build.make:98: cmTC_dd2de] Error 1
gmake[1]: Leaving directory '/home/cory/cura-build/build/CMakeFiles/CMakeTmp'
gmake: *** [Makefile:126: cmTC_dd2de/fast] Error 2




Code:
emerge --info
!!! Invalid PORTDIR_OVERLAY (not a dir): '/var/lib/layman/dotnet'
!!! Invalid PORTDIR_OVERLAY (not a dir): '/var/lib/layman/science'
Portage 2.3.13 (python 3.5.4-final-0, default/linux/amd64/17.0/desktop/plasma, gcc-6.4.0, glibc-2.25-r9, 4.12.12-gentoo x86_64)
=================================================================
System uname: Linux-4.12.12-gentoo-x86_64-Intel-R-_Core-TM-_i7-4700MQ_CPU_@_2.40GHz-with-gentoo-2.4.1
KiB Mem:    16342868 total,   9052436 free
KiB Swap:   18135744 total,  18135744 free
Timestamp of repository gentoo: Mon, 01 Jan 2018 16:00:01 +0000
Head commit of repository gentoo: 7d670bcd5943bdb4642bc4c1e37672a048d70e14
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2.4 [enabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:

qt
    location: /var/lib/layman/qt
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7  -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=corei7  -O2 -pipe"
DISTDIR="/home/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=" ftp://ftp.gtlib.gatech.edu/pub/gentoo rsync://mirrors.rit.edu/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="X a52 aac acl acpi activities alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dri3 dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv ipv6 jpeg kde kipi kwallet lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg multilib ncurses net45 nls nptl nvidia ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds qml qt3support qt5 readline sdl seccomp semantic-desktop session spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vdpau vorbis widgets wxwidgets x264 xattr xcb xcomposite xml xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev synaptics joystick" KERNEL="linux" L10N="en-US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="nvidia intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


_________________
NooB since RedHat 6.1


Last edited by clytle374 on Wed Jan 03, 2018 1:27 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22191
Location: here

PostPosted: Tue Jan 02, 2018 7:05 pm    Post subject: Reply with quote

You can post output of commands
Code:
$ qlist -Iv dev-qt/*

Why you installed qt-5.9.9999 and cura is same package present in portage tree (media-gfx/cura)?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
clytle374
Apprentice
Apprentice


Joined: 01 Aug 2006
Posts: 193

PostPosted: Tue Jan 02, 2018 7:21 pm    Post subject: Reply with quote

I installed qt-5.9.9999 because of needing pyside2 and shiboken2 for freecad. Cura in portage is outdated and I needed features in the newer versions.

Code:
 qlist -Iv dev-qt/*
dev-qt/designer-4.8.7
dev-qt/designer-5.9.9999
dev-qt/linguist-tools-5.9.9999
dev-qt/qdbus-5.9.9999
dev-qt/qt3support-4.8.7
dev-qt/qtbluetooth-5.9.9999
dev-qt/qtchooser-0_p20151008
dev-qt/qtconcurrent-5.9.9999
dev-qt/qtcore-4.8.7-r3
dev-qt/qtcore-5.9.9999
dev-qt/qtdbus-4.8.7
dev-qt/qtdbus-5.9.9999
dev-qt/qtdeclarative-4.8.7
dev-qt/qtdeclarative-5.9.9999
dev-qt/qtgraphicaleffects-5.9.9999
dev-qt/qtgui-4.8.7
dev-qt/qtgui-5.9.9999
dev-qt/qthelp-5.9.9999
dev-qt/qtimageformats-5.9.9999
dev-qt/qtmultimedia-5.9.9999
dev-qt/qtnetwork-5.9.9999
dev-qt/qtopengl-4.8.7
dev-qt/qtopengl-5.9.9999
dev-qt/qtpaths-5.9.9999
dev-qt/qtprintsupport-5.9.9999
dev-qt/qtquickcontrols-5.9.9999
dev-qt/qtquickcontrols2-5.9.9999
dev-qt/qtscript-4.8.7
dev-qt/qtscript-5.9.9999
dev-qt/qtsql-4.8.7-r1
dev-qt/qtsql-5.9.9999
dev-qt/qtsvg-4.8.7
dev-qt/qtsvg-5.9.9999
dev-qt/qttest-4.8.7
dev-qt/qttest-5.9.9999
dev-qt/qttranslations-4.8.7
dev-qt/qtwayland-5.9.9999
dev-qt/qtwebchannel-5.9.9999
dev-qt/qtwebengine-5.9.9999
dev-qt/qtwebkit-5.9.9999
dev-qt/qtwidgets-5.9.9999
dev-qt/qtx11extras-5.9.9999
dev-qt/qtxml-5.9.9999
dev-qt/qtxmlpatterns-4.8.7
dev-qt/qtxmlpatterns-5.9.9999

_________________
NooB since RedHat 6.1
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7112
Location: Austria

PostPosted: Tue Jan 02, 2018 7:25 pm    Post subject: Reply with quote

clytle374 wrote:
I installed qt-5.9.9999 because of needing pyside2 and shiboken2 for freecad.

But pyside2 and shiboken2 do not require qt-5.9.9999 *at all*.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22191
Location: here

PostPosted: Tue Jan 02, 2018 7:29 pm    Post subject: Reply with quote

asturm wrote:
clytle374 wrote:
I installed qt-5.9.9999 because of needing pyside2 and shiboken2 for freecad.

But pyside2 and shiboken2 do not require qt-5.9.9999 *at all*.

Exactly, form pyside-9999.ebuild and shiboken-9999.ebuild
Code:
QT_PV="5.9.0:5"

Probably pyqt5 not work with qt-5.9.9999
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
clytle374
Apprentice
Apprentice


Joined: 01 Aug 2006
Posts: 193

PostPosted: Tue Jan 02, 2018 7:47 pm    Post subject: Reply with quote

Well, for some reason after previous failures I thought pyside2 and shoboken2 had to come from the exact same version as QT.

Well that was a large pain that was pointless.
_________________
NooB since RedHat 6.1
Back to top
View user's profile Send private message
clytle374
Apprentice
Apprentice


Joined: 01 Aug 2006
Posts: 193

PostPosted: Wed Jan 03, 2018 12:20 am    Post subject: Reply with quote

So I have backed up to the ~amd64 versions. Same error when running cmake

Code:
qlist -Iv dev-qt/*
dev-qt/designer-4.8.7
dev-qt/designer-5.9.3
dev-qt/linguist-tools-5.9.3
dev-qt/qdbus-5.9.3
dev-qt/qt3support-4.8.7
dev-qt/qtbluetooth-5.9.3
dev-qt/qtchooser-0_p20151008
dev-qt/qtconcurrent-5.9.3
dev-qt/qtcore-4.8.7-r3
dev-qt/qtcore-5.9.3
dev-qt/qtdbus-4.8.7
dev-qt/qtdbus-5.9.3
dev-qt/qtdeclarative-4.8.7
dev-qt/qtdeclarative-5.9.3
dev-qt/qtgraphicaleffects-5.9.3
dev-qt/qtgui-4.8.7
dev-qt/qtgui-5.9.3
dev-qt/qthelp-5.9.3
dev-qt/qtimageformats-5.9.3
dev-qt/qtmultimedia-5.9.3
dev-qt/qtnetwork-5.9.3
dev-qt/qtopengl-4.8.7
dev-qt/qtopengl-5.9.3
dev-qt/qtpaths-5.9.3
dev-qt/qtprintsupport-5.9.3
dev-qt/qtquickcontrols-5.9.3
dev-qt/qtquickcontrols2-5.9.3
dev-qt/qtscript-4.8.7
dev-qt/qtscript-5.9.3
dev-qt/qtsql-4.8.7-r1
dev-qt/qtsql-5.9.3
dev-qt/qtsvg-4.8.7
dev-qt/qtsvg-5.9.3
dev-qt/qttest-4.8.7
dev-qt/qttest-5.9.3
dev-qt/qttranslations-4.8.7
dev-qt/qtwayland-5.9.3
dev-qt/qtwebchannel-5.9.3
dev-qt/qtwebengine-5.9.3
dev-qt/qtwebkit-5.9.1
dev-qt/qtwidgets-5.9.3
dev-qt/qtx11extras-5.9.3
dev-qt/qtxml-5.9.3
dev-qt/qtxmlpatterns-4.8.7
dev-qt/qtxmlpatterns-5.9.3


same problem, rebuilt PyQt5 twice.
_________________
NooB since RedHat 6.1
Back to top
View user's profile Send private message
clytle374
Apprentice
Apprentice


Joined: 01 Aug 2006
Posts: 193

PostPosted: Wed Jan 03, 2018 1:28 am    Post subject: Reply with quote

deleted build directory and problem went away. :roll:
_________________
NooB since RedHat 6.1
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7112
Location: Austria

PostPosted: Thu Jan 04, 2018 3:32 pm    Post subject: Reply with quote

Maybe caused by ccache.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum